<?php

namespace EesyPHP\Auth;

class Backend {

  /**
   * Initialize
   * @return boolean
   */
  public static function init() {
    return true;
  }

  /**
   * Retreive a user by its username
   * @param string $username
   * @return \EesyPHP\Auth\User|null|false The user object if found, null it not, false in case of error
   */
  public static function get_user($username) {
    return null;
  }

  /**
   * Check a user password
   * @param \EesyPHP\Auth\User $user The user object
   * @param string $password The password to check
   * @return boolean
   */
  public static function check_password($user, $password) {
    return false;
  }
}
